Name: fastnlo
Version: 2.3.1.2585
Release: 1%{?dist}
License: GPL
Prefix: %{_prefix}
Summary: Fast pQCD calculations for PDF fits
Source:  https://fastnlo.hepforge.org/code/v23/fastnlo_toolkit-2.3.1-2585.tar.gz

BuildRequires: gcc-gfortran gcc-c++ lhapdf-devel lhapdf   root root-core 
BuildRequires: qcdnum hoppet YODA YODA-devel fastjet fastjet-devel  zlib zlib-devel
BuildRequires: autoconf automake libtool tex(latex) swig doxygen texlive-epstopdf ghostscript


%if %{?rhel}%{!?rhel:0} == 7
BuildRequires:  python python-devel
%endif


%description
The fastNLO project provides computer code to create and evaluate fast 
interpolation tables of pre-computed coefficients in perturbation theory 
for observables in hadron-induced processes.

%prep 
%setup -q -n fastnlo_toolkit-2.3.1-2585


%build 
%if %{?rhel}%{!?rhel:0} == 7
export CXXFLAGS=-std=c++11; ./configure --disable-doxygen-doc --prefix=/usr --libdir=/usr/%_lib  --with-lhapdf=/usr --with-hoppet --with-root --with-yoda --with-fastjet  --enable-pyext  --with-qcdnum
%endif

%if %{?fedora}%{!?fedora:0} || %{?rhel}%{!?rhel:0} == 8
%configure --disable-doxygen-doc  --with-lhapdf=/usr --with-hoppet --with-root --with-yoda --with-fastjet --with-qcdnum
%endif

%install 
%make_install



%files
%defattr(-,root,root)
/usr/bin/*
/usr/%_lib/
/usr/lib/*
/usr/include/*
/usr/share/fastnlo_toolkit/modify/SteerModify.str

%clean
rm -rf %{buildroot}

%post 
ldconfig 

%changelog             
* Thu Nov 23 2017 Andrii Verbytskyi andrii.verbytskyi@mpp.mpg.de
 - Initial